<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
  <ui:define name="head">
    <style type="text/css">
            .doc table {
                border-width: 1px;
                border-style: solid;
                border-color: black;
            }

            .doc td {
                border-width: 1px;
                border-style: solid;
                vertical-align: middle;
                margin: 5px;
            }
        </style>
  </ui:define>
  <ui:define name="body">
    <h:form>
      <s:div id="globalDiv">
        <h1>#{messages['net.ihe.gazelle.hl7.HL7v3ModelbasedValidationTool']}</h1>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
          <ui:define name="panel_title">
              #{messages['net.ihe.gazelle.assets.Documentation']}
          </ui:define>
          <h:outputText value="#{messages['net.ihe.gazelle.hl7.ThisPageIsAnIndexToReachTheDifferentSectionsOfTh']}"/>
          <h2>#{messages['net.ihe.gazelle.hl7.ClassesDocumentation']}</h2>
          <h:outputText value="#{messages['net.ihe.gazelle.hl7.IfYouAreLookingForInformationOnASpecificJavaClas']} "/>
          <h:commandLink action="/docum/classes/listClasses.seam">
            <h:outputText value="#{messages['net.ihe.gazelle.hl7.ClassesDocumentation_2']}"/>
          </h:commandLink>
          <h2>#{messages['net.ihe.gazelle.hl7.ConstraintsDocumentation']}</h2>
          <h:outputText value="#{messages['net.ihe.gazelle.hl7.IfYouWantToKnowMoreAboutASpecificConstraintBrows']} "/>
          <h:commandLink action="/docum/constraints/constraints.xhtml">
            <h:outputText value="#{messages['net.ihe.gazelle.hl7.ConstraintsDocumentation_2']}"/>
          </h:commandLink>
          <h2>#{messages['net.ihe.gazelle.hl7.HowValidationWorks']}</h2>
          <h:outputText value="#{messages['net.ihe.gazelle.hl7.InOrderToEnhanceAndFactoriseTheValidationSourceC']}"/>
          <br/>
          <br/>
          <table class="doc" style="border-style:solid; border-width:1px;">
            <tr style="font-weight: bold">
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.ValidatorType']}"/>
              </td>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.RootElement']}"/>
              </td>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PackagesUsed']}"/>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PDQv3PatientDemographicsQuery']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201305UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Pdqv3query']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PDQv3PatientDemographicsQueryResponse']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201306UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000300UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Mfmimt700711UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Pdqv3response']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PDQv3PatientDemographicsQueryHL7V3Continuation']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.QUQIIN000003UV01']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000300UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Quqimt000001UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Pdqv3continuation']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PDQv3AcceptAcknowledgement']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.MCCIIN000002UV01']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000200UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.AcceptAcknowledgement']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PDQv3PatientDemographicsQueryHL7V3Cancellation']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.QUQIIN000003UV01Cancel']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000300UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Quqimt000001UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Pdqv3continuation']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PatientIdentityFeedHL7V3Acknowledgement']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.MCCIIN000002UV01']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000200UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.AcceptAcknowledgement']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PatientIdentityFeedHL7V3AddPatientRecord']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201301UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Mfmimt700701UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI44Common']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI44PatientAdd']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PatientIdentityFeedHL7V3PatientReviseRecord']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201302UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Mfmimt700701UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI44Common']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI44PatientRevise']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PatientIdentityFeedHL7V3PatientIdentityMerg']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201303UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Mfmimt700701UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI44Common']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI44PatientMerge']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PIXV3Query']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201309UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI45Query']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PIXV3QueryResponse']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201310UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000300UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Mfmimt700711UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI45Response']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PatientIdentityFeedHL7V3PatientReviseRecord']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201302UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.Mfmimt700701UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.ITI46UpdateNotification']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.PIXV3PIXV3UpdateNotificationAcknowledgement']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.MCCIIN000002UV01']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000200UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.AcceptAcknowledgement']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.XCPDCrossGatewayPatientDiscoveryRequest']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201305UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.XcpdPatientDiscoveryQuery']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.XcpdPatientDiscoveryQueryRequest']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.XCPDCrossGatewayPatientDiscoveryRequestDeferredO']})"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PRPAIN201305UV02']}</td>
              <td>
                <ul>
                  <li>#{messages['net.ihe.gazelle.hl7.Mccimt000100UV01']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.XcpdPatientDiscoveryQuery']}</li>
                  <li>#{messages['net.ihe.gazelle.hl7.XcpdDeferredResponse']}</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="XCPD - Cross Gateway Patient Discovery Response"/>
              </td>
              <td>PRPA_IN201306UV02</td>
              <td>
                <ul>
                  <li>mccimt000300UV01</li>
                  <li>mfmimt700711UV01</li>
                  <li>xcpdPatientDiscoveryQueryResponse</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.XCPDPatientLocationQueryRequest']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PatientLocationQueryRequest']}</td>
              <td>
                <ul>
                  <li>_2009</li>
                </ul>
              </td>
            </tr>
            <tr>
              <td>
                <h:outputText value="#{messages['net.ihe.gazelle.hl7.XCPDPatientLocationQueryResponse']}"/>
              </td>
              <td>#{messages['net.ihe.gazelle.hl7.PatientLocationQueryResponse']}</td>
              <td>
                <ul>
                  <li>_2009</li>
                </ul>
              </td>
            </tr>
          </table>
          </ui:decorate>
      </s:div>
    </h:form>
  </ui:define>
</ui:composition>
